Subject: bug#50151: Coreutils, aarch64 and chroot

From: Paul Eggert <[email-masked]>
Date: Tue, 24 Aug 2021 01:39:16 -0700

On 8/24/21 1:31 AM, Frans de Boer wrote:

> If it is the wrong executable, would it ever startup and continue and 
> (try to) load bash or env?

No.

> It even displays the help message!

Not from what you've shown so far. You reported the output of env 
--help, not the output of chroot --help.

> I can supply more, but what exactly would help you forward?

A complete set of instructions for an outsider to reproduce the problem 
from scratch.  Assume the outsider is running Fedora 34 x86-64 (since 
that's what I'm running :-).

However, I think it'll be a better use of our time for you to debug this 
one yourself. It doesn't sound like a Coreutils problem; it sounds like 
a problem in your virtual machine setup, and you're the best expert on 
that setup.